[tool.poetry]
name = "tarefa1"
version = "0.1.0"
description = "Tarefa 1 - Construção de expressões XPath"
authors = ["André Rocha <rocha.matcomp@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
parsel = "^1.9.1"
rich = "^13.7.1"


[tool.poetry.group.dev.dependencies]
ipython = "^8.24.0"
ipdb = "^0.13.13"


[tool.poetry.group.test.dependencies]
pytest = "^8.2.0"
pytest-clarity = "^1.0.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
